
<div class="referral-and-placement-summary">
  <app-content-banner [isDashboard]="false" pageName="Referral And Placement Summary"></app-content-banner>
  <mat-card class="raps-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <app-referral-package-client-banner></app-referral-package-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Pending Referrals</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
            
                
              <div class="example-container mat-elevation-z4"> 
                  <div class="table-filters-header" fxLayout="column"> 
                      <div fxLayout="row" fxLayoutAlign="start">
                          <h2 class="title"> Pending Referrals </h2>
                        <div class="table-top-icons" fxLayoutAlign="end end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore </mat-icon>
                          <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                         <!--  <mat-icon (click)="onBtPrint()" color="primary" matTooltip="Print">print </mat-icon> -->
                        </div>
                      </div>
                    </div>
                
                
                                    
                <div fxLayout="row" fxLayout.lt-md="column">
                  <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                      
                              <ag-grid-angular #agGrid id="pendingReferralsGrid" style="width: 100%" class="ag-theme-balham"
                                  [columnDefs]="referralColumnDefs" [defaultColDef]="defaultColDef" [rowData]="pendingReferralList" 
                                  [gridOptions]="gridOptions" [context]="context"
                                  [floatingFilter]="true" [overlayNoRowsTemplate]="refOverlayNoRowsTemplate" [animateRows]="true"
                                  [frameworkComponents]="frameworkComponents" [pagination]="true" (gridReady)="onGridReady($event)"
                                  [paginationPageSize]="10" [overlayLoadingTemplate]="refOverlayLoadingTemplate">
                              </ag-grid-angular>
                          
                  </div>
              </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>   
        <mat-tab>
          <ng-template matTabLabel>
            <span>Completed Referrals</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">               
              <div class="example-container mat-elevation-z4">
                  <div class="table-filters-header" fxLayout="column"> 
                      <div fxLayout="row" fxLayoutAlign="start">
                          <h2 class="title"> Completed Referrals </h2>
                        <div class="table-top-icons" fxLayoutAlign="end end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
                          </mat-icon>
                          <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                        </div>
                      </div>
                    </div>
                

                <div fxLayout="row" fxLayout.lt-md="column">
                  <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                     
                              <ag-grid-angular #agGrid id="completedReferralsGrid" style="width: 100%" class="ag-theme-balham"
                                  [columnDefs]="referralColumnDefs" [defaultColDef]="defaultColDef" [rowData]="completedReferralList"
                                  [gridOptions]="gridOptions" [context]="context"
                                  [floatingFilter]="true" [overlayNoRowsTemplate]="refOverlayNoRowsTemplate" [animateRows]="true"
                                  [frameworkComponents]="frameworkComponents" [pagination]="true" (gridReady)="onGridReady($event)"
                                  [paginationPageSize]="10" [overlayLoadingTemplate]="refOverlayLoadingTemplate">
                              </ag-grid-angular>
                          
                  </div>
              </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>      
        <mat-tab>
          <ng-template matTabLabel>
            <span>Placements</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">                 
              <div class="example-container mat-elevation-z4">
                  <div class="table-filters-header" fxLayout="column"> 
                      <div fxLayout="row" fxLayoutAlign="start">
                          <h2 class="title">Placements</h2>
                        <div class="table-top-icons" fxLayoutAlign="end end" fxFlex="auto">
                          <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
                          </mat-icon>
                          <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                        </div>
                      </div>
                    </div>
                 

                <div fxLayout="row" fxLayout.lt-md="column">
                  <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                      
                              <ag-grid-angular #agGrid id="placementGrid" style="width: 100%" class="ag-theme-balham"
                                  [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="placementList"
                                  [gridOptions]="gridOptions" [context]="context"
                                  [floatingFilter]="true" [overlayNoRowsTemplate]="overlayNoRowsTemplate" [animateRows]="true"
                                  [frameworkComponents]="frameworkComponents" [pagination]="true" (gridReady)="onGridReady($event)"
                                  [paginationPageSize]="10">
                              </ag-grid-angular>
                         
                  </div>
              </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>      
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave()" [isSaveRequired] = "false" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()" [isNextRequired]="is_Next_Required" ></app-nav-footer>
</div>
